Package org.eclipse.net4j.ui

# Class FactoryTypeContentProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<org.eclipse.net4j.util.container.IManagedContainer>
org.eclipse.net4j.util.ui.FactoryTypeContentProvider
org.eclipse.net4j.ui.FactoryTypeContentProvider

All Implemented Interfaces:
  `EventListener`, `IContentProvider`, `IStructuredContentProvider`, `org.eclipse.net4j.util.event.IListener`

@Deprecated public class FactoryTypeContentProvider extends org.eclipse.net4j.util.ui.FactoryTypeContentProvider
Deprecated.
As of 4.1 use `FactoryTypeContentProvider`
A `structured content provider` that shows the `factory types` of the `input`.

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`FactoryTypeContentProvider(String productGroup)`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.net4j.util.ui.FactoryTypeContentProvider

`connectInput, disconnectInput, getElements, getProductGroup`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FactoryTypeContentProvider

@Deprecated public FactoryTypeContentProvider(String productGroup)
Deprecated.